//     
unit SharedTypes;

interface

uses
  Windows;

type
  //  
  TModuleKind=(mkDigital,mkGraph);
  //     
  TDataKind=(dkApplication,dkInputData);
  //  
  TModuleInfo=packed record
    Name:String;
    Path:String;
    Kind:TModuleKind;
  end;
  //      
  TGetModuleInfo=function:TModuleInfo;stdcall;
  TInitialize=procedure;stdcall;
  TRun=procedure;stdcall;
  TTerminate=procedure;stdcall;
  TSetData=procedure(Kind:TDataKind;const Buffer;Size:Integer);stdcall;
  //   
  TProcedureIndex=(piZero,piGetModuleInfo,piInitialize,piRun,piTerminate,
    piSetData,piGetData);
  //        
  TValues=array[0..1] of Word;

const
  //   
  ProcedureNames:array [TProcedureIndex] of PChar=(
    'Not in use',
    'GetModuleInfo',
    'Initialize',
    'Run',
    'Terminate',
    'SetData',
    'GetData'
  );

implementation

end.
